from snek.system.model import BaseModel, ModelField


class NotificationModel(BaseModel):
    object_uid = ModelField(name="object_uid", required=True)
    object_type = ModelField(name="object_type", required=True)
    message = ModelField(name="message", required=True)
    user_uid = ModelField(name="user_uid", required=True)
    read_at = ModelField(name="is_read", required=True)
